<template>
    <div id="app" class="" >
        <!-- <div style="width: 960px; backgroundcolor: black">12</div> -->
        <RouterView/>
        <login-box></login-box>
        <pay-box></pay-box>
    </div>
</template>
<script>
    export default {
        components: {},
        async created() {


            let $t = this.$t;
            this.$t = (e) => {
                return $t(e) ? $t(e) : e;
            }

            let resp = await this.$http.post(this.$api.mzUser.userinfo,this.$qs.stringify({unAuth:false}));

            if (resp.data.status === 200) {
                this.$store.commit('UPDATE_LOGIN_INFO', resp.data.data.mzUser)
            }


            let br = await this.$http.post(this.$api.common.banners);
            if (br.data.status === 200) {
                this.$store.commit('UPDATE_BANNER', br.data.data.banners)
            }
        }
    }
</script>
<style>
    body {
        background: #F7F7F7;
    }


</style>
